<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::group(['middleware' => ['web','auth']], function(){
    Route::get('/home', 'HomeController@index');
    Route::get('/', function () {

        if (Auth::user()->status=='admin'){
            return view('adminlte::admin.index');
        }else if(Auth::user()->status=='customer'){
            return view('adminlte::customer.index');
        }else if(Auth::user()->status=='kasir'){
            return view('adminlte::kasir.index');
        }else if(Auth::user()->status=='inventori'){
            return view('adminlte::inventori.index');
        }
    });
});




Route::group(['middleware' => ['web','auth','admin']], function () {
    Route::get('/laporanTransaksi', 'AdminController@laporanTransaksi');
    Route::get('/listPetugas', 'AdminController@listPetugas');
     Route::get('/listPetugas', 'AdminController@listPetugas');
    Route::get('/createPetugas', 'AdminController@createPetugas');
    Route::post('/storePetugas', 'AdminController@storePetugas');
    Route::get('/editPetugas/{id}', 'AdminController@editPetugas');
    Route::post('/updatePetugas/{id}', 'AdminController@updatePetugas');
    Route::get('/deletePetugas/{id}', 'AdminController@destroyPetugas');

});




Route::group(['middleware' => ['web','auth','customer']], function () {
    Route::get('/BeliBarang', 'CustomerController@BeliBarang');
    Route::get('/CheckSaldo', 'CustomerController@CheckSaldo');

     Route::get('/createPembelian/{id}', 'CustomerController@createPembelian');
    Route::post('/storePembelian', 'CustomerController@storePembelian');
    Route::post('/savePembelian', 'CustomerController@savePembelian');
      Route::get('/list','CustomerController@list');


    Route::get('/RequestBarang', 'CustomerController@RequestBarang');
    Route::get('/createRequest/{id}', 'CustomerController@createRequest');
    Route::post('/storeRequest', 'CustomerController@storeRequest');
    Route::post('/saveRequest', 'CustomerController@saveRequest');
    
    Route::get('/HistoryPembelian', 'CustomerController@HistoryPembelian');
    Route::get('/HistoryRequest', 'CustomerController@HistoryRequest');
    });




Route::group(['middleware' => ['web','auth','inventori']], function () {
    Route::get('/ListBarang', 'InventoriController@listBarang');
    Route::get('/create', 'InventoriController@create');
    Route::post('/store', 'InventoriController@store');
    Route::get('/edit/{id}', 'InventoriController@edit');
    Route::post('/update/{id}', 'InventoriController@update');
    Route::get('/delete/{id}', 'InventoriController@destroy');
    Route::get('/ListPembelian', 'InventoriController@ListPembelian');
    Route::get('/ListRequest', 'InventoriController@ListRequest');
    Route::get('/editRequest/{id}', 'InventoriController@editRequest');
    Route::post('/update/{id}', 'InventoriController@update');
    Route::get('/delete/{id}', 'InventoriController@destroy');


    Route::get('/DataRequest', 'InventoriController@DataRequest');
    Route::get('/createDataRequest', 'InventoriController@createDataRequest');
    Route::post('/storeDataRequest', 'InventoriController@storeDataRequest');
    Route::get('/editDataRequest/{id}', 'InventoriController@editDataRequest');
    Route::post('/updateDataRequest/{id}', 'InventoriController@updateDataRequest');
    Route::get('/deleteDataRequest/{id}', 'InventoriController@destroyDataRequest');
    Route::post('/konfirmasiBarang/{id}', 'InventoriController@KonfirmasiBarang');
    Route::put('/konfirmasiBarang/{id}', 'InventoriController@KonfirmasiBarang');
    Route::post('/RejectedBarang/{id}', 'InventoriController@RejectedBarang');
    Route::put('/RejectedBarang/{id}', 'InventoriController@RejectedBarang');

});




Route::group(['middleware' => ['web','auth','kasir']], function () {
    Route::get('/ListCustomer', 'KasirController@ListCustomer');
      Route::get('/ListPembelians', 'KasirController@ListPembelians');
      Route::get('/ListRequests', 'KasirController@ListRequests');
      Route::get('/addSaldo/{id}','KasirController@addSaldo');
      Route::put('/saldo/{id}','KasirController@saldo');
        Route::post('/konfPengantaran/{id}', 'KasirController@konfPengantaran');
      Route::put('/konfPengantaran/{id}', 'KasirController@konfPengantaran');
       Route::post('/konfAntar/{id}', 'KasirController@konfAntar');
      Route::put('/konfAntar/{id}', 'KasirController@konfAntar');
  });
